com.icl.saxon

## Class Version

- java.lang.Object
- - com.icl.saxon.Version

-     public class Version
      extends java.lang.Object

  The Version class holds the SAXON version information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `javaVersion`
    `static boolean` | `preJDK12`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getProductName()`
    `static java.lang.String` | `getVersion()`
    `static java.lang.String` | `getWebSiteAddress()`
    `static double` | `getXSLVersion()`
    `static java.lang.String` | `getXSLVersionString()`
    `static boolean` | `isPreJDK12()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### javaVersion

          public static java.lang.String javaVersion

    - #### preJDK12

          public static boolean preJDK12

  - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### isPreJDK12

          public static final boolean isPreJDK12()

    - #### getVersion

          public static final java.lang.String getVersion()

    - #### getXSLVersion

          public static final double getXSLVersion()

    - #### getXSLVersionString

          public static final java.lang.String getXSLVersionString()

    - #### getProductName

          public static java.lang.String getProductName()

    - #### getWebSiteAddress

          public static java.lang.String getWebSiteAddress()